package com.bocloud.ims.entity.resource.kubernetes;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * k8s应用管理
 * 
 * @author Administrator
 *
 */
@Table("kube_application")
public class KubeApplication extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	@Column("vendor_id")
	private Long vendorId; // 云供应商Id
	@Column("tenant_id")
	private Long tenantId;
	@Column("default_cpu")
	private String defaultCpu;
	@Column("default_memory")
	private String defaultMemory;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getVendorId() {
		return vendorId;
	}

	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId = tenantId;
	}

	public String getDefaultCpu() {
		return defaultCpu;
	}

	public void setDefaultCpu(String defaultCpu) {
		this.defaultCpu = defaultCpu;
	}

	public String getDefaultMemory() {
		return defaultMemory;
	}

	public void setDefaultMemory(String defaultMemory) {
		this.defaultMemory = defaultMemory;
	}

}
